{ config, lib, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules

    ./services/torrent.nix
  ];

  sbruder = {
    nginx.hardening.enable = true;
    restic.system = {
      enable = true;
      extraExcludes = [
        "/var/lib/qbittorrent/download"
      ];
    };
    wireguard.home.enable = true;
  };

  networking.hostName = "okarin";

  system.stateVersion = "21.11";

  services.nginx = {
    enable = true;

    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;
  };

  networking.firewall.allowedTCPPorts = [
    80
    443
  ];
}
